Advapi32Util.AccessCheckPermission (JNA API)
Description: declaration: package: com.sun.jna.platform.win32, class: Advapi32Util, enum: AccessCheckPermission

Package com.sun.jna.platform.win32

# Enum Class Advapi32Util.AccessCheckPermission

java.lang.Object
java.lang.Enum<Advapi32Util.AccessCheckPermission>
com.sun.jna.platform.win32.Advapi32Util.AccessCheckPermission

All Implemented Interfaces:
  `Serializable`, `Comparable<Advapi32Util.AccessCheckPermission>`, `Constable`

Enclosing class:
  Advapi32Util

public static enum Advapi32Util.AccessCheckPermission extends Enum<Advapi32Util.AccessCheckPermission>

- ## Nested Class Summary

  ## Nested classes/interfaces inherited from class java.lang.Enum

  `Enum.EnumDesc<E extends Enum<E>>`

- ## Enum Constant Summary

  Enum Constants
  Enum Constant
  Description
  `EXECUTE`
  `READ`
  `WRITE`

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `(package private) final int`
  `code`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `int`
  `getCode()`
  `static Advapi32Util.AccessCheckPermission`
  `valueOf(String name)`
  Returns the enum constant of this class with the specified name.
  `static Advapi32Util.AccessCheckPermission[]`
  `values()`
  Returns an array containing the constants of this enum class, in the order they are declared.

  ### Methods inherited from class java.lang.Enum

  `clone, compareTo, describeConstable, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

  ### Methods inherited from class java.lang.Object

  `getClass, notify, notifyAll, wait, wait, wait`

- ## Enum Constant Details

  - ### READ

    public static final Advapi32Util.AccessCheckPermission READ

  - ### WRITE

    public static final Advapi32Util.AccessCheckPermission WRITE

  - ### EXECUTE

    public static final Advapi32Util.AccessCheckPermission EXECUTE

- ## Field Details

  - ### code

    final int code

- ## Method Details

  - ### values

    public static Advapi32Util.AccessCheckPermission[] values()
    Returns an array containing the constants of this enum class, in the order they are declared.
    Returns:
      an array containing the constants of this enum class, in the order they are declared

  - ### valueOf

    public static Advapi32Util.AccessCheckPermission valueOf(String name)
    Returns the enum constant of this class with the specified name. The string must match exactly an identifier used to declare an enum constant in this class. (Extraneous whitespace characters are not permitted.)
    Parameters:
      `name` - the name of the enum constant to be returned.
    Returns:
      the enum constant with the specified name
    Throws:
      `IllegalArgumentException` - if this enum class has no constant with the specified name
      `NullPointerException` - if the argument is null

  - ### getCode

    public int getCode()